﻿/* START FONT STYLES */

h1 
{
    font-size:18px;
    margin:0 0 10px 0;
    font-weight:bold;
    color:#6b837d;
}

h2
{
    font-size: 130%;
    margin: 0 0 5px 0;
    font-weight: bold;
    color:#93bb1e;
}

h3
{
    font-size: 120%;
    margin: 0 0 5px 0;
    font-weight: normal;
    color:#93bb1e;
}

p
{
    font-size:100%;
}

td.columnHighlight { background-color:#FF6666; }

/* END FONT STYLES */


/* START GENERAL LAYOUT STYLES */

body
{
    background-color:#a7a7a7;
    font-family:arial;
    padding:0 0 0 0;
    margin:0;
    font-size:0.8em;

} 


#container
{
    clear:both;
    margin:0 auto;
    overflow:hidden;
    min-height:900px;
    padding:0 10px 20px 10px;
    border-top:9px solid #93bb1d;
    background:#ffffff url("/images/container-bg.jpg") right 0 no-repeat;
    
}

#header
{
    float:left;
    width:100%;
    min-height:155px;
}

#header .logo
{
    float:left;
    width:auto;
    margin:20px 0 0 0;

}

#header .welcome
{
    float:right;
    text-align:right;
    width:auto;
    margin:10px 0 0 0;
}

#headingBar
{
    float:left;
    width:100%;
    margin:20px 0 0 0;
}

#headingBar .pageTitle
{
    float:left;
    width:800px;
}

#headingBar .actionButtons
{
    float:right;
    width:200px;
    text-align:right;
}

#headingBar .actionButtons input
{
    margin:0 0 0 10px;
}

#mainContent
{
    float:left;
    width:100%;
    margin:0 0 0 0;
}

.actionButtons
{
    float:left;
    width:auto;
    margin:0 10px 10px 0;
}

.recordsToDisplayFilter
{
    float:left;
    width:auto;
    margin:3px 0 0 0;
}

.printButton
{
    float:right;
    width:100px;
    margin:0 0 10px 0;
    text-align:right;
}

.validationSummary { color:Red; font-weight:bold; width:auto; border:solid 1px #ff0000; padding:5px }

.validationControl { color:Red; font-weight:bold; }

/* END GENERAL LAYOUT STYLES */


/* START FORM LAYOUT STYLES */

textarea
{
    font-family:Arial;
}

.fieldBuffer
{
    /* float:left; */
    width:100%;
    clear:both;
    margin:0 0 15px 0;
}

.field
{
    /* float:left; */
    width:100%;
    clear:both;
    margin:0 0 5px 0;
}

.field .buffer
{
    /* float:left; */
    width:100%;
    clear:both;
    padding:5px 0 5px 0;
    overflow:hidden;
}

.field .bufferNoTop
{
    /* float:left; */
    width:100%;
    clear:both;
    padding:0 0 5px 0;
    overflow:hidden;
}

.field .label
{
    float:left;
    width:100px;
}

.field .wide
{
    width:200px;
}

.field .input
{
    float:left;
    width:auto;
}

.field .input input
{
    width:150px;
}

.field .input select
{
    width:154px;
}

.field .input textarea
{
    width:152px;
    height:50px;
}

.field .checkbox input
{
    width:auto;
}

.field .submitButton
{
    float:left;
    width:auto;
    margin:0 0 0 99px;
}

.field .column50
{
    float:left;
    width:49%;
}

.field .printButton
{
    float:right;
}

.field .dateTextBox
{
    width:60px;
}

.field .smallTextBox
{
    width:50px;
}

.field .batchFilter
{
    float:left;
    margin:0 20px 0 0;
}

fieldset
{
    border:1px solid #93bb1e;	
	padding:0 10px 7px 10px;
    margin:0 0 10px 0;
    background:#ffffff;
}

legend
{
	font-size:13px;
	color:#2087c9;
	font-weight:bold;
	padding:0 5px 5px 0;
}

/* END FORM LAYOUT STYLES */



/* START OF GENERAL GRID STYLES */

.gridMain  
{
    float:left;
    width:100%;
    border:1px solid #d9d9d9;   
}

.gridMain .dateTextBox
{
    width:80px;
}

.gridMain .smallTextBox
{
    width:50px;
}

.gridMain TD  
{
    margin:0; 
    padding:5px;
    border:1px solid #d9d9d9; 
    font-size:100%;
}

.gridMain TR.rowHead  
{
    background:#93bb1e url(/green-theme/images/ui-bg_highlight-hard_65_93bb1e_1x100.png) 50% 50% repeat-x;
    margin:0;
    color:#000000;
}

.gridMain TR.rowHead a:link,
.gridMain TR.rowHead a:visited
  
{
    text-decoration:underline; 
    font-weight:bold; 
    color:#000000;
}

.gridMain TR.rowHead a:hover  
{
    text-decoration:none; 
}

.gridMain TR.rowItem  
{
    background-color:#ffffff;
    margin:0; 
}

.gridMain TR.rowItem a:link,
.gridMain TR.rowItem a:visited 
{
    color: #002d68 
}

.gridMain TR.rowAlt  
{
    background-color:#f1f4f9;
    margin:0; 
}

.gridMain TR.rowAlt a:link,
.gridMain TR.rowAlt a:visited
{
    color: #002d68 
}

.gridMain TR.rowItem a:hover, 
.gridMain TR.rowAlt a:hover 
{
    text-decoration:none;
} 

.gridMain TR.rowGreen 
{
    background:#72fd6f;
}

.gridMain TR.rowRed 
{
    background:#ff8787;
}

.gridMain TR.rowBlue
{
    background:#A0CFEC;
}

.gridMain TR.rowOrange
{
    background:#FFC55B;
}

.gridMain TR.siteHeader
{
    background:#A0CFEC;
    color:White;
    font-weight:bold;
}

.gridMain TH  
{
    padding:5px; 
    margin:0; 
    border:1px solid #d9d9d9; 
}

.gridMain TR.rowSelected  
{
    background-color:Highlight; 
    color:HighlightText; 
}

.gridMain .textRed
{
    color:#CE080C;
}
    

.gridMain .textYellow
{
    color:#FFD923;
}

.gridMain .textBlue
{
   color:#1CE1FF;
}

.gridMain .textPurple
{
    color:#9F3097;
}

.instructionTurn
{
    background-color:#FF9933;    
}

.instructionReSample
{
    background-color:#FF66FF;    
}

.instructionDiffProblem
{
    background-color:#FF3333;    
}

.instructionScreen
{
    background-color:#00FF00;    
}

.instructionIrrigate
{
    background-color:#99CCFF;
}

.instructionLeaveAlone
{
    background-color:#99FF99;    
}

.instructionNoData
{
    
}

#mainContent .gridContainer
{
    float:left;
    width:100%;
}

/* END OF GENERAL GRID STYLES */

/* START OF TAB STYLES */

.tabContainer
{
    float:left; 
    clear:both; 
    margin:20px 0 0 0;
    width:100%;
}

.tabContainer .gridContainer,
.tabContainer .gridMain
{
    float:none;
}

/* START OF MODAL POPUP STYLES */

.modal
{ 
    background-color: #DCDCDC;
    filter: alpha(opacity=90);
    opacity: 0.9; 
}

.modalWindow 
{ 
    width:275px;
    background-color: #ffffff; 
    overflow:hidden;
    border:1px solid #002d6a;
}

.modalWindow.modalWindowGrid {
    width: 550px;
}

.modalOverflow
{
    width:550px;
    overflow:scroll;
    height:300px;
}

.modalWindow .fieldset
{
    width:auto;
    margin:5px;
    padding:3px;
}

.modalWindow .standardButtons 
{ 
    float:left;
    width:100%;
    text-align: center;
}

.modalWindow .textBoxMultiLine
{
    font-family:Arial;
    width:150px;
    margin: 0 0 15px 0;
}

.twoColumn 
{
    width:550px;
}

.confirm
{
    width:200px;
    background-color:#efefef;
    padding:0 5px 0 5px;
}

.radioList
{
    padding:0 0 0 5px;
    margin: 0 0 5px 0;
}

.radioList label { padding: 0 0 10px 0; }

.radioList input { width:auto !important; }

.modalColumn1,
.modalColumn2 
{
    float:left;
    width:50%;
}

.modalColumn1 fieldset,
.modalColumn2 fieldset
{
    width:245px;
    margin:0 0 0 5px;
}

.modalColumn2 fieldset 
{
    margin:0 0 0 3px;
}

.modalColumn1 fieldset .head,
.modalColumn2 fieldset .head,
.modalColumn1 fieldset .label,
.modalColumn2 fieldset .label
{ 
    float:left;
    min-height:20px;
    line-height:19px;
    width:90px !important;
    margin:0 0 0 0; 
    color:#000000;
}

.modalColumn1 fieldset .value,
.modalColumn2 fieldset .value 
{ 
    float:left;
    width:170px;
    width:auto !important;
    height:20px;
    margin:0;
}

.modalColumn1 fieldset .value input,
.modalColumn2 fieldset .value input 
{
    width:150px;
}

.modalColumn1 .twoLineField .head,
.modalColumn2 .twoLineField .head,
.modalColumn1 .twoLineField .label,
.modalColumn2 .twoLineField .label  
{
    line-height:normal;
    margin:-1px 0 0 0 !important;
}

.modalColumn1 .twoLineField .value, 
.modalColumn2 .twoLineField .value 
{
    margin:3px 0 0 0 !important;
}

.modalColumnDoubleWidth
{
    float:left;
    width:100%;
}

.modalColumnDoubleWidth fieldset
{
    width:490px;
    margin:0 0 0 5px;
}

.modalColumnDoubleWidth fieldset 
{
    margin:0 0 0 3px;
}

.modalColumnDoubleWidth .label
{ 
    float:left;
    min-height:20px;
    line-height:19px;
    width:90px !important;
    margin:0 0 0 0; 
    color:#000000;
}

.modalColumnDoubleWidth .value 
{ 
    float:left;
    width:170px;
    height:20px;
    margin:0;
}

.modalColumnDoubleWidth fieldset .value input 
{
    width:150px;
}

.modalColumnDoubleWidth .twoLineField .head,
.modalColumnDoubleWidth .twoLineField .label  
{
    line-height:normal;
    margin:-1px 0 0 0 !important;
}

.modalColumnDoubleWidth .twoLineField .value 
{
    margin:3px 0 0 0 !important;
}

.modalWindow .title 
{
    float:left;
    width:100%;
    font-size:14px;
    font-weight:bold;
    padding: 5px 0 5px 5px;
    color:#ffffff;
    background:#93bb1e url(/green-theme/images/ui-bg_highlight-hard_65_93bb1e_1x100.png) 50% 50% repeat-x;
} 
  
  
.modalWindow .field 
{
    float:left;
    width:100%;
    clear:both;
    padding-top:2px; 

}

.modalWindow .twoLineField 
{
    padding:5px 0;
}

.modalWindow .twoLineField .label  
{
    line-height:normal;
    margin:-1px 0 0 10px;
}

.modalWindow .twoLineField .value 
{
    margin:3px 0 0 10px;
}

.modalWindow .label  

{ 
    float:left;
    min-height:20px;
    line-height:19px;
    width:80px !important;
    margin:0 0 0 10px; 
    color:#000000;
}

.modalWindow .value 
{ 
    float:left;
    width:auto !important;
    height:20px;
    margin-left:10px; 
}

.modalWindow .value input
{ 
    width:149px; 
}

.modalWindow .value select
{ 
    width:152px; 
}

.modalWindow .dropdown 
{
    padding:0 0 0 10px !important;
} 

.modalWindow .checkbox
{
    padding:0 0 0 6px !important;
} 

.modalWindow .checkbox input
{
    width:auto;
} 

.modalWindow .textInDropdownSpan 
{
    margin:0 0 0 -10px;
}

.modalWindow .validationSummary { color:Red; font-weight:bold; width:auto; border:solid 1px #ff0000; padding:5px }

/* END OF MODAL POPUP STYLES */

/* START OF COMPANY/SITE/CONTACT PANEL STYLES */

#detailPanel
{
    float:left;
    clear:both;
    margin:0 0 10px 5px;
    width:100%;
}

#detailPanel select
{
    width:140px;
}


#detailPanel .googleMap 
{
    float:left;
    width:230px;
    height:213px;
    border:1px solid #000000;
    margin:0 10px 0 0;
}

#detailPanel .batchDetails
{
    float:left;
    width:570px;
    margin: 0 10px 0 0;
}

#detailPanel .batchDetails .column50
{
    float:left;
    width:49%;
}

#detailPanel .contactDetails,
#detailPanel .companyDetails,
#detailPanel .siteDetails
{
    float:left;
    width:281px; 
    margin:0 10px 0 0;
}

#detailPanel .contactDetails fieldset,
#detailPanel .companyDetails fieldset,
#detailPanel .siteDetails fieldset
{
	min-height:207px;
}

#detailPanel .batchDetails fieldset
{
    min-height:70px;
}

#detailPanel .contactDetails .field,
#detailPanel .companyDetails .field ,
#detailPanel .siteDetails .field,
#detailPanel .batchDetails .field 
{
    float:left;
    width:100%;
    margin:0 0 4px 0;

}

#detailPanel .contactDetails .field .label,
#detailPanel .companyDetails .field .label,
#detailPanel .siteDetails .field .label,
#detailPanel .batchDetails .field .label
{
    float:left;
    width:100px;
/*    height:20px;
    line-height:20px; */
}

#detailPanel .contactDetails .field .input,
#detailPanel .companyDetails .field .input,
#detailPanel .siteDetails .field .input,
#detailPanel .batchDetails .field .input
{
    float:left;
    width:150px;
/*    height:20px;
    line-height:20px; */
}

#detailPanel .contactDetails .field .inpuAddress,
#detailPanel .companyDetails .field .inputAddress,
#detailPanel .siteDetails .field .inputAddress

{
    height:100px;
}

#detailPanel .additionalInfo { float:left; width:440px; }

/* START OF COMPANY/SITE/CONTACT PANEL STYLES */

/* START OF TABPANEL STYLES */

#detailTabs .gridContainer,
#detailTabs .gridMain,
#detailTabs .field
{
    float:none;
}

/* END OF TABPANEL STYLES */

/* START OF STATUS KEY STYLES */

#statusKey
{
    float:left;
    clear:both;
}

#statusKey .label
{
    float:left;
    margin: 0 10px 0 0;
}

#statusKey .keyValue
{
    float:left;
    margin: 0 10px 0 0;
}

#statusKey .colorBox
{
    float:left;
    width:10px;
    height:12px;
    border:1px solid black;
    margin:0 5px 0 0;
}

#statusKey .colorBoxRed
{
    background-color:#CE080C;
}
    

#statusKey .colorBoxYellow
{
    background-color:#FFD923;
}

#statusKey .colorBoxBlue
{
   background-color:#1CE1FF;
}

#statusKey .colorBoxPurple
{
    background-color:#9F3097;
}

        
/* END OF STATUS KEY STYLES */

/* START OF PAS 100 REPORT STYLES */

#pas100Container
{
    /* width: 1000px; */
}

#pas100Container .column50
{
    width:50%;
}

#pas100Container .headerBox
{
    width:100%;
    border:1px solid black;
    height:75px;
}

#pas100Container .headerBoxLogo
{
    text-align: center;
    vertical-align: center;
}

#pas100Container .headerBoxTitle
{
    border-left-style:none;
    color:#ff0044;
    text-align:center;
    font-size:120%;
}

#pas100Container .leftBoxes
{
    float:left;
    width:680px;
}

#pas100Container .rightBoxes
{
    float:left;
    width:300px;
}

#pas100Container .label
{
    font-weight:bold;
    width:160px;
}

#pas100Container .wide
{
    width:250px;
}

#pas100Container .full
{
    width:100%
}

#pas100Container .notes
{
    width:990px; 
    margin:7px  0 0 0; 
    padding:10px 0 0 10px; 
    height:75px; 
    border:1px solid black;
}

#pas100Container .gridContainer
{
    margin:7px 0 0 0; 
    width:1000px;
}
/* END OF PAS100 REPORT STYLES */

/* START OF GRAPH STYLES */

/* END OF GRAPH STYLES */

#graphContainer
{
    width:100%;
    height:300px;
    border: 1px solid black;
    overflow-x:hidden;
    overflow-y:scroll;
}

/* START DASHBOARD STYLES */

#dashboardContainer
{
    float:left;
    width:100%;
}

#dashboardContainer .alerts
{
    float:left;
    width:100%;
    background:#ffffff;
    min-height:250px;
}

/* END DASHBOARD STYLES */



/* START SITE STYLES */

#siteContainer
{
    float:left;
    width:100%;
}

/* END SITE STYLES */



/* START LOGIN STYLES */


.loginWrap
{
    position:relative;
    margin:80px auto 0 auto;
    width:384px;
    height:196px;
    padding:140px 0 0 0;
    background:#ffffff url("/images/login-bg.jpg") no-repeat;
    top: -4px;
    left: 2px;
}

.loginWrap .login
{
    float:left;
    width:324px;
    margin:0 0 10px 40px;
}

.loginWrap .loginHead
{
    float:left;
    width:90px;
    font-size:16px;
    color:#8db511;
    height:22px;
    line-height:22px;
}

.loginWrap .loginEntry
{
    float:left;
    width:auto;
    height:22px;
    line-height:22px;
}

.loginWrap .button
{
    float:left;
    width:100%;
    text-align:center;
    margin:10px 0 20px 0; 
}

.loginWrap .loginError
{
    width:100%;
    text-align:center;
    color:Red;
}

.loginWrap .passwordReminder
{
    float:left;
    width:100%;
    text-align:center;
}

.loginWrap .passwordReminder a:link,
.loginWrap .passwordReminder a:visted
{
    font-size:13px;
    color:#83af00;
    text-decoration:underline;
}

.loginWrap .passwordReminder a:hover
{
    text-decoration:none;
}

#loginSupportInfo
{
    float:left;
    width:100%;
    text-align:center;
    color:#000000;
    font-size:14px;
    margin:26px 0 0 0;

/* END LOGIN STYLES */
